<?php

namespace Simplyin\Simplyin_W_Plugin\Shipping_Mapping\Integration;

use WC_Shipping_Method;

interface Integration_Factory_Interface {


	public function create( WC_Shipping_Method $method
	): ?Integration_Interface;

	public function create_integration_by_method_id(
		string $method_id,
		int $instance_id,
		string $title
	): ?Integration_Interface;

}
